Subject: [Hipsec] A HIP WG charter proposal

From: [email-masked] (Henderson, Thomas R)
Date: Sun Sep 28 19:49:01 2003

> -----Original Message-----
> From: Pekka Nikander [mailto:[email-masked]]
> Sent: Tuesday, September 23, 2003 7:46 AM
> To: Scott W Brim
> Cc: [email-masked]
> Subject: Re: [Hipsec] A HIP WG charter proposal
>=20
>=20
> Scott W Brim wrote:
> >> Additionally, the working group aims to standardize, together
> >> with the IPsec Working Group, the necessary hooks that would
> >> allow HIP to utilize unmodified IPsec ESP.  One particular way of
> >> implementing the small changes required to IPsec ESP has been
> >> defined in a separate draft:
> >>
> >>   draft-nikander-esp-beet-mode-00.txt (to be issued)
> >=20
> > I would not put this in.  It's a good idea, but putting it in the
> > charter creates a dependency on another working group, and=20
> expands the
> > potential scope to the point where arguments about scope=20
> might lead to
> > nothing ever happening.  Revise the charter to add it=20
> later, if we're
> > successful with the main tasks.
>=20
> Well, if we could get a small change in to ESP, it would be
> possible to implement HIP completely in the user level, and
> use kernel level ESP.  As the state is now, it is possible
> to implement HIP in the user level, but it requires a user
> level ESP implementation as well.  In a host that supports
> IPsec, this results in two different ESP implementations

More accurately, it requires either a user level ESP or a patch
to a kernel level standard ESP.  Specifically, we have been using
freeswan but adding some additional checks to the code where it
tries to retrieve the appropriate SA for the flow.  The changes=20
are not substantial, but if something like BEET were there it=20
could be used for this.

Tom
=20